nl.tudelft.simulation.dsol.tutorial.section44

## Class BallAnimation3D

- java.lang.Object
- - javax.media.j3d.SceneGraphObject
  - - javax.media.j3d.Node
    - - javax.media.j3d.Group
      - - javax.media.j3d.BranchGroup
        - - nl.tudelft.simulation.dsol.swing.animation.D3.Renderable3D
          - - nl.tudelft.simulation.dsol.tutorial.section44.BallAnimation3D

All Implemented Interfaces:
  Renderable3DInterface

    public class BallAnimation3D
    extends Renderable3D

BallAnimation3D, animation of a ball in 3D.

Copyright (c) 2002-2019 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Roy Chin

### Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.swing.animation.D3.Renderable3D

`locationGroup, scale, simulator, source, type`

### Fields inherited from class javax.media.j3d.BranchGroup

`ALLOW_DETACH`

### Fields inherited from class javax.media.j3d.Group

`ALLOW_CHILDREN_EXTEND, ALLOW_CHILDREN_READ, ALLOW_CHILDREN_WRITE, ALLOW_COLLISION_BOUNDS_READ, ALLOW_COLLISION_BOUNDS_WRITE`

### Fields inherited from class javax.media.j3d.Node

`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

### Fields inherited from interface nl.tudelft.simulation.dsol.swing.animation.D3.Renderable3DInterface

`DYNAMIC_OBJECT, STATIC_OBJECT`

### Constructor Summary

Constructors
Constructor and Description
`BallAnimation3D(Locatable source, SimulatorInterface.TimeDouble simulator)` constructs a new BallAnimation3D.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `provideModel(javax.media.j3d.TransformGroup locationGroup)` provides the model for the animationObject.
`protected void` `update(Enumeration children)` updates the animation of this object.

### Methods inherited from class nl.tudelft.simulation.dsol.swing.animation.D3.Renderable3D

`getScale, getSource, getType, setScale, update`

### Methods inherited from class javax.media.j3d.BranchGroup

`cloneNode, compile, detach, pickAll, pickAll, pickAllSorted, pickAllSorted, pickAny, pickAny, pickClosest, pickClosest`

### Methods inherited from class javax.media.j3d.Group

`addChild, getAllChildren, getAlternateCollisionTarget, getChild, getCollisionBounds, indexOfChild, insertChild, moveTo, numChildren, removeAllChildren, removeChild, removeChild, setAlternateCollisionTarget, setChild, setCollisionBounds`

### Methods inherited from class javax.media.j3d.Node

`cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, duplicateNode, getBounds, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

### Methods inherited from class javax.media.j3d.SceneGraphObject

`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString, updateNodeReferences`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BallAnimation3D

    public BallAnimation3D(Locatable source,
                           SimulatorInterface.TimeDouble simulator)

constructs a new BallAnimation3D.

Parameters:
  `source` - Locatable; the source
  `simulator` - SimulatorInterface.TimeDouble; the simulator

### Method Detail

#### provideModel

    public void provideModel(javax.media.j3d.TransformGroup locationGroup)

provides the model for the animationObject.

Specified by:
  `provideModel` in class `Renderable3D`
Parameters:
  `locationGroup` - TransformGroup; the location group

#### update

    protected void update(Enumeration children)

updates the animation of this object.

Specified by:
  `update` in class `Renderable3D`
Parameters:
  `children` - Enumeration; the children to update